## faad faad — Free MPEG-2/4 AAC decoder |

## Synopsis

                        GstFaad;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GstObject
                   +----GstElement
                         +----GstAudioDecoder
                               +----GstFaad

## Description

## Synopsis

### Element Information

plugin | faad
author | Ronald Bultje <rbultje@ronald.bitfreak.net>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/mpeg, mpegversion=(int)2
| audio/mpeg, mpegversion=(int)4, stream-format=(string){ raw, adts }

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 8000, 96000 ], channels=(int)[ 1, 8 ]

## Details

### GstFaad

    typedef struct _GstFaad GstFaad;